#!/bin/sh
set -e -x
env
if [ -f /var/lib/jenkins/pylint.wcs.rc ]; then
	PYLINT_RC=/var/lib/jenkins/pylint.wcs.rc
elif [ -f pylint.wcs.rc ]; then
	PYLINT_RC=pylint.wcs.rc
else
	echo No pylint RC found
	exit 0
fi

pylint -f parseable --rcfile ${PYLINT_RC} "$@" | tee pylint.out || /bin/true
